# Random linux utilities
Author: Never Gude

## Merge pdfs

### Using Ghostscript

Ghostscript has a feature to merge multiple pdf files into one. Although ImageMagick also has this feature, I prefer this one, as it doesn’t rasterize and scales down the pdf files.

> Block quote time yay

    gs -dNOPAUSE -sDEVICE=pdfwrite \
        -sOUTPUTFILE=output.pdf \
        -dBATCH 1.pdf 2.pdf

    int hello_world(int x) {
        printf("Hello World %i", x);
        return x;
    }